#ifndef ACTIVATE_A_H_
#define ACTIVATE_A_H_

// Author: Steve Talbot

#pragma once

using namespace std;

#include "MDA_EFSM.h"
#include "String_Utilities.h"
#include <iostream>

class activate_a {

public:
	activate_a();
	virtual ~activate_a();

	bool virtual activate( Data* data_, MDA_EFSM* M_ ) = 0;

};

#endif /*ACTIVATE_A_H_*/
